chevron_left Back to List

Dan and Matts Tekkit Server


To use this server please use the latest version of tekkit (1.2.9G at the time of wirting) and installl the traincraft (version 4.2.1_011) mod or use the link here for a dedicated tekkit launcher mod pack :

There are no reviews for this server yet, you can be the first!